Skip to content

Delete an internal article

Request

You can delete a single internal article by making a DELETE request to https://api.intercom.io/internal_articles/<id>.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the internal article which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X DELETE \
  https://api.intercom.io/internal_articles/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the internal article which you provided in the URL.

Example:"6890762"
objectstring

The type of object which was deleted. - internal_article

Value:"internal_article"
Example:"internal_article"
deletedboolean

Whether the internal article was deleted successfully or not.

Example:true
Response
{ "id": "51", "object": "internal_article", "deleted": true }